Data Fields
PurpleConnectionErrorInfo Struct Reference

Holds the type of an error along with its description. More...

`#include <connection.h>`

## Data Fields
PurpleConnectionError | type
| The type of error. More...
char * | description
| A localised, human-readable description of the error. More...

## Detailed Description

Holds the type of an error along with its description.

Definition at line 139 of file connection.h.

## Field Documentation

## ◆ description

char* PurpleConnectionErrorInfo::description

A localised, human-readable description of the error.

Definition at line 144 of file connection.h.

## ◆ type

PurpleConnectionError PurpleConnectionErrorInfo::type

The type of error.

Definition at line 142 of file connection.h.

The documentation for this struct was generated from the following file:

- connection.h